Package com.github.lgooddatepicker.durationpicker_underconstruction

## Enum DurationUnit

- java.lang.Object
- - java.lang.Enum<DurationUnit>
  - - com.github.lgooddatepicker.durationpicker_underconstruction.DurationUnit

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DurationUnit>`

    public enum DurationUnit
    extends java.lang.Enum<DurationUnit>

### Enum Constant Summary

Enum Constants
`Day`
`Hour`
`Minute`
`Month`
`Second`
`Week`
`Year`

### Field Summary

Fields
`int` `inSeconds`
`int` `thirtyMinutesInSeconds`

### Method Summary

All Methods Static Methods Concrete Methods
`static DurationUnit` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DurationUnit[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Second

    public static final DurationUnit Second

#### Minute

    public static final DurationUnit Minute

#### Hour

    public static final DurationUnit Hour

#### Day

    public static final DurationUnit Day

#### Week

    public static final DurationUnit Week

#### Month

    public static final DurationUnit Month

#### Year

    public static final DurationUnit Year

### Field Detail

#### inSeconds

    public final int inSeconds

#### thirtyMinutesInSeconds

    public final int thirtyMinutesInSeconds

See Also:
  Constant Field Values

### Method Detail

#### values

    public static DurationUnit[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DurationUnit c : DurationUnit.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DurationUnit valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null